EDIT - bug #6276

task # 6009 (Closed): Import the IAPT database into a cdm instance
task # 6034 (Closed): DataCleaning after final import

Nomenclatural references show parsed date string instead of publication year

12/13/2016 02:49 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Miller % Done: 100%
Category: cdmlib Estimated time: 4:00 hours
Target version: Release 5.16

Severity: normal Found in Version:

Description

For example 'Staurastrum longebrachiatum var. quadrifidum (Grénblad) A.A.Gontsch.' in the phycobank database:

The nomenclatural titlecache as shown in the Taxeditor details view and in the name contains the parsed date string: '10.1998"
But the date string has been parsed correctly and the titleCache of the reference correctly contains only the year.

During the attempt to fix this the Reference editor behaves surprisingly strange:

1. Deleting the text in the parse field causes the atomized date to be deleted also. This was impossible to recover, the date data

was lost afterwards.

2. Adding the atomized data manually finally fixes the titleCache of the nomenclatural reference.

| think the nomencaltural reference should use same the titleCache as the reference.
EDNO) Edit Reference X

Reference

The reference is referenced by 2 objects, if you change it, it is changed for all these objects
Reference Cache  A.A.Gontsch. in Algol. Stud. 90. 1998

Abbrev. Cache A.A.Gontsch. in Algol. Stud. 90. 1998 2

Reference Type  Agels 100000000
Title

Nomenclatural Title
Author A.A.Gontsch. elali
=

Journal Algol. Stud.

Volume 90
Series
Pages
Date Published ~ 10.1998

Start Year [1998 Month |10 Day
End Year Month Day
Parse 10.1998

Freetext
URI | 9]

Reference Abstract

Cancel Einish

Associated revisions

Revision bf3b1132 - 06/26/2020 12:47 AM - Andreas Miiller
ref #9071, ref #6276 Change TimePeriodFormatting to YYYY-MMM-DD

Revision ce666ef3 - 06/26/2020 01:20 AM - Andreas Miiller
ref #9071, ref #6276 fix order of TimePeriodFormatting to DD MMM YYYY

Revision fddcac5e - 06/26/2020 01:22 AM - Andreas Miiller
ref #9071, ref #6276 fix order of TimePeriodFormatting to DD MMM YYYY (cont.)

Revision bOceec1a - 06/27/2020 08:43 AM - Andreas Miiller
ref #6276, ref 9071 adapt dataportal tests to new TimePeriod formatting

Revision def46519 - 06/27/2020 09:03 AM - Andreas Miiller
ref #9071, ref #6276 improve TimePeriod parsing for periods with shared year or month and some other

Revision e90c7158 - 06/27/2020 09:09 AM - Andreas Miiller
ref #6276, ref 9071 adapt dataportal tests to new TimePeriod formatting (cont.)

Revision 8fe64a0b - 06/27/2020 09:45 AM - Andreas Miiller
ref #9071, ref #6276 improve TimePeriod parsing with continued

Revision 4b24820e - 06/27/2020 06:29 PM - Andreas Miiller

ref #9071 improve with-month-name period parsing

History

#1 - 12/13/2016 02:52 PM - Andreas Kohlbecker
- Tags set to phycobank

- Project changed from PhycoBank to EDIT

- Category set to cdmlib

- Assignee set to Andreas Miiller

- Priority changed from New to Highest

- Target version set to Release 4.5

- Severity set to normal

Hi Andreas,

this issue is important for us. We need at least an idea of why this is happening and if the nomencaltural references can be easily fixed automatically
or if manual action at ~1000 names is required. Therefore | am setting this to highest

Andreas

#2 - 12/13/2016 02:53 PM - Andreas Kohlbecker

- File nomref-titlecache.png added

#3 - 12/13/2016 02:54 PM - Andreas Kohlbecker

- Description updated

#4 - 01/19/2017 01:21 PM - Andreas Miller

- Target version changed from Release 4.5 to Release 4.6

#5 - 01/16/2018 09:31 AM - Andreas Kohlbecker

- Target version changed from Release 4.6 to Release 4.13

i am moving this issue to the current release milestone so that it is not getting lost

#6 - 01/31/2018 12:18 PM - Andreas Miiller

- Target version changed from Release 4.13 to Release 4.14

#7 - 02/15/2018 03:20 PM - Andreas Miller

- Target version changed from Release 4.14 to Release 5.0

#8 - 05/18/2018 03:12 PM - Andreas Miiller
- Tags changed from phycobank to phycobank, euro+med

- Description updated

#9 - 05/18/2018 03:13 PM - Andreas Miiller
- Target version changed from Release 5.0 to Release 5.1

- Estimated time set to 4:00 h

#10 - 05/25/2018 08:02 PM - Andreas Miiller
- Subject changed from Nonemclatural references show parsed date string instead of publication year to Nomenclatural references show parsed date
string instead of publication year

#11 - 06/14/2018 01:31 PM - Andreas Kohlbecker
[Henning wrote:]

Im Produktionssystem wird als Publikationsdatum ein deutsches Datum eingesetzt. Es gibt auch ein Ticket dazu, dass ich diese Reprasentation nicht
will. Das liegt daran, dass auch der amerikanische Standard oder das ISO-Datum hier nicht passt.

Ich méchte das Thema noch mal ansprechen, denn in den ICN-Apendices gibt es dasselbe Problem.

Kurzform:
Geht gar nicht (aktueller Stand): Surirella kerguelensis Grunow in A.W.F.Schmidt, Atlas Diatom.-Kunde: pl. 56: fig. 24. 15.8.1877

Ware fUr PhyoBank okay: Surirella kerguelensis Grunow in A.W.F.Schmidt, Atlas Diatom.-Kunde: pl. 56: fig. 24. 15 Aug 1877.

So geht es im Augenblick nur und das ist nicht schén (Datum im gewiinschten Format in Verbatim eingegeben): Surirella kerguelensis Grunow in
A.W.F.Schmidt, Atlas Diatom.-Kunde: pl. 56: fig. 24. 15.8.1877 ["15 Aug 1877"]

In den ICN-Apendices gibt es dasselbe Problem.

Dort hat man das Problem so gel6st, dass das Publikationsdatum in einer international versténdlichen Form in der zur Verfiigung stehenden
Genauigkeit angibt, im Pint (ICN) und in einer Datenbank (Appendix).

Das Format:

T oder TT

w N

31
[dann ein Leerzeichen ohne Trenner, d.h. ohne Punkt oder Komma]

Monat (3 Buchstaben ohne Punkt abgekirzt, vom Lateinischen abgeleitet)

Jan
Feb
Mar
Apr
Mai
Jun
Jul
Aug
Sep
Oct
Nov
Dec

[dann ein Leerzeichen ohne Trenner, d.h. ohne Punkt oder Komma]
YYYY
Tatsachlich vorkommende Daten aus den gedruckten Appendicees mit Spannen:

12 Mar 1807.
Jul-Aug. 1763

Im Gegensatz zur bisherigen Ausgabe kénnte ich mit dem Format fiir PhycoBank gut leben.

#12 - 06/27/2018 02:24 PM - Andreas Miiller

- Target version changed from Release 5.1 to Release 5.2

#13 - 08/17/2018 03:46 PM - Andreas Miiller

- Target version changed from Release 5.2 to Release 5.3

#14 - 09/06/2018 09:57 AM - Andreas Miuiller

- Target version changed from Release 5.3 to Release 5.4

03/20/2024 4/6



#15 - 09/06/2018 03:43 PM - Andreas Miiller
- File picture288-1.png added

#16 - 09/06/2018 03:44 PM - Andreas Miiller

Sorry, wrong ticket

#17 - 10/25/2018 10:49 AM - Andreas Miiller

- Target version changed from Release 5.4 to Release 5.5

#18 - 02/14/2019 10:26 PM - Andreas Miiller

- Target version changed from Release 5.5 to Release 5.6

#19 - 04/12/2019 12:59 PM - Andreas Miiller

- Target version changed from Release 5.6 to Release 5.7

#20 - 05/03/2019 02:56 PM - Andreas Miiller

- Target version changed from Release 5.7 to Release 5.8

#21 - 07/19/2019 03:29 PM - Andreas Miiller

- Target version changed from Release 5.8 to Release 5.10

#22 - 09/18/2019 01:33 PM - Andreas Miiller

- Target version changed from Release 5.10 to Release 5.11

#23 - 11/04/2019 12:36 PM - Andreas Miiller

- Target version changed from Release 5.11 to Release 5.12

#24 - 01/15/2020 01:24 PM - Andreas Miiller

- Target version changed from Release 5.12 to Release 5.13

#25 - 03/23/2020 03:36 PM - Andreas Miiller

- Target version changed from Release 5.13 to Release 5.14

#26 - 04/08/2020 03:42 PM - Andreas Miiller

- Target version changed from Release 5.14 to Release 5.15

#27 - 06/23/2020 01:44 PM - Andreas Miiller

- Target version changed from Release 5.15 to Release 5.18

#28 - 06/26/2020 12:58 AM - Andreas Miiller
- Status changed from New to In Progress

- % Done changed from 0 to 30

#29 - 06/27/2020 09:06 AM - Andreas Miiller
- Status changed from In Progress to Resolved
- Assignee changed from Andreas Miller to Andreas Kohlbecker

- % Done changed from 30 to 70

This should be fixed now.

#30 - 06/30/2020 03:26 PM - Andreas Miiller

- Target version changed from Release 5.18 to Release 5.16

#31 - 06/30/2020 04:18 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 70 to 100
from what I've seen during the last days, this seems to be solved completely.

#32 - 06/30/2020 04:21 PM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Andreas Mliller

Files

nomref-titlecache.png 94.8 KB 12/13/2016 Andreas Kohlbecker

picture288-1.png 3.35 KB 09/06/2018 Andreas Miller
